cURL
curl --request PATCH \ --url https://api.example.com/v1/identities/{identity_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "display_name": "<string>", "reply_to_email": "<string>", "signature_text": "<string>", "signature_html": "<string>", "thread_history_depth": 123, "approval_channel": {}, "status": "<string>" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "local_part": "<string>", "email_address": "<string>", "display_name": "<string>", "reply_to_email": "<string>", "signature_text": "<string>", "signature_html": "<string>", "thread_history_depth": 123, "status": "<string>", "approval_channel": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Update an identity. All fields are optional — only provided fields are changed. email_address cannot be changed after creation.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response